#!/usr/bin/perl
#
#  Script for displaying lists of package descriptions.
#
#  This file is part of the SuSE help system.
#
#  Copyright (C) 2002  SuSE Linux AG, Nuernberg
#
#  Author: Cornelius Schumacher <cschum@suse.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use FindBin;
use lib $FindBin::Bin;

use substitution;
use susehelp;

&checkQuery();
&parseQuery();

$page = getQuery("page","/var/lib/susehelp/pac/en/index.html");

if ( !open FILE, $page ) {
  printErrorPage( "URL '$page' not found." );
}

&printCgiHeader;

while( <FILE> ) {
  print;
}
